Binary files Android_6.0.1_r11/frameworks/av/.git/index and SAMD_6.0.1_r11_20170930/frameworks/av/.git/index differ
diff -urN Android_6.0.1_r11/frameworks/base/Android.mk SAMD_6.0.1_r11_20170930/frameworks/base/Android.mk
--- Android_6.0.1_r11/frameworks/base/Android.mk	2017-09-27 02:07:48.711736113 +0900
+++ SAMD_6.0.1_r11_20170930/frameworks/base/Android.mk	2017-09-15 11:28:53.215024000 +0900
@@ -252,6 +252,12 @@
 	core/java/android/service/wallpaper/IWallpaperService.aidl \
 	core/java/android/service/chooser/IChooserTargetService.aidl \
 	core/java/android/service/chooser/IChooserTargetResult.aidl \
+	core/java/android/service/collaboroid/IGeneralMessageListener.aidl \
+	core/java/android/service/distribute/IDistributedComputingService.aidl \
+	core/java/android/service/devicemanagement/IDeviceManagementService.aidl \
+	core/java/android/service/remote/IRemoteService.aidl \
+	core/java/android/service/samd/ISAMDService.aidl \
+	core/java/android/service/samd/ISAMDListener.aidl \
 	core/java/android/view/accessibility/IAccessibilityInteractionConnection.aidl\
 	core/java/android/view/accessibility/IAccessibilityInteractionConnectionCallback.aidl\
 	core/java/android/view/accessibility/IAccessibilityManager.aidl \
@@ -423,7 +429,10 @@
 			$(framework_res_source_path)/com/android/internal/R.java
 
 LOCAL_NO_STANDARD_LIBRARIES := true
-LOCAL_JAVA_LIBRARIES := core-libart conscrypt okhttp core-junit bouncycastle ext
+
+#Collaboroid
+LOCAL_JAVA_LIBRARIES := libbaksmali libsmali core-libart conscrypt okhttp core-junit bouncycastle ext
+#LOCAL_STATIC_JAVA_LIBRARIES += monster
 
 LOCAL_MODULE := framework
 
@@ -1082,7 +1091,7 @@
 ext_dirs := \
 	../../external/nist-sip/java \
 	../../external/tagsoup/src \
-
+	
 ext_src_files := $(call all-java-files-under,$(ext_dirs))
 
 # ====  the library  =========================================
@@ -1100,7 +1109,6 @@
 
 include $(BUILD_JAVA_LIBRARY)
 
-
 # Include subdirectory makefiles
 # ============================================================
 
diff -urN Android_6.0.1_r11/frameworks/base/CleanSpec.mk SAMD_6.0.1_r11_20170930/frameworks/base/CleanSpec.mk
--- Android_6.0.1_r11/frameworks/base/CleanSpec.mk	2017-09-27 02:07:48.711736113 +0900
+++ SAMD_6.0.1_r11_20170930/frameworks/base/CleanSpec.mk	2016-11-01 17:36:40.386409000 +0900
@@ -239,3 +239,12 @@
 # ******************************************************************
 # NEWER CLEAN STEPS MUST BE AT THE END OF THE LIST ABOVE THIS BANNER
 # ******************************************************************
+
+# clean steps for aapt
+$(call add-clean-step, rm -rf $(OUT_DIR)/host/$(HOST_PREBUILT_TAG)/bin/aapt)
+$(call add-clean-step, rm -rf $(OUT_DIR)/host/$(HOST_PREBUILT_TAG)/obj32/EXECUTABLES/aapt_intermediates)
+$(call add-clean-step, rm -rf $(OUT_DIR)/host/$(HOST_PREBUILT_TAG)/bin/libaapt_tests)
+$(call add-clean-step, rm -rf $(PRODUCT_OUT)/obj/EXECUTABLES/aapt_intermediates)
+$(call add-clean-step, rm -rf $(PRODUCT_OUT)/system/bin/aapt)
+$(call add-clean-step, rm -rf $(PRODUCT_OUT)/symbols/system/bin/aapt)
+$(call add-clean-step, rm -rf $(OUT_DIR)/host/$(HOST_PREBUILT_TAG)/obj32/STATIC_LIBRARIES/libaapt_intermediates)
\ No newline at end of file
